#include <vector>
#include <math.h>
#include <iostream>
#include <conio.h>
#include <fstream>
#include "histogram.h"
#include "text.h"
#include "svg.h"
using namespace std;


struct Input
{
    vector<double> numbers;
    size_t bin_count{};
};


Input
input_data(istream& in, bool prompt)
{
    if (prompt)
    {
        cerr << "Enter number count: ";
    }
    size_t number_count;
    in >> number_count;

    Input ik;
    ik.numbers.resize(number_count);
    cerr << "Input numbers: ";
    for (size_t i = 0; i < number_count; i++)
        {
        cin >> ik.numbers[i];
        }
    cerr << "Input bin count: ";
    cin>> ik.bin_count;
    return ik;
}


int main()
{
	auto in = input_data(cin, true);

	auto bins = make_histogramm(in.numbers, in.bin_count);

	show_histogram_svg(bins);

	getch();

	return 0;
}


/*
struct Input
{
    vector<double> numbers;
    size_t bin_count{};
};


Input
input_data(){
    cerr << "Input numbers count: ";
    size_t number_count;
    cin >> number_count;
    Input in;
    in.numbers.resize(number_count);
    cerr << "Input numbers: ";
    for (size_t i = 0; i < number_count; i++)
        {
        cin >> in.numbers[i];
        }
    cerr << "Input bin count: ";
    cin >> in.bin_count;
    return in;
}


int main()
{

	Input in = input_data();

	auto bins = make_histogramm(in.numbers, in.bin_count);

	show_histogram_svg(bins);

	return 0;
}*/
